Skip to main content
Compute Management/Image Storage Related Interfaces/Image Storage Related Interfaces
PUTImage Storage Related InterfacesSince 1.7SynchronousAuth Required

Export Image from Backup Storage

Export Image from Backup Storage

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • backupStorageUuidStringRequired

    Backup Storage UUID

Body Fields

  • exportimagefrombackupstorageObjectRequired

    exportimagefrombackupstorage request body object.

    • imageUuidStringRequired

      Image UUID

    • exportFormatString

      Export format of the image

  • systemTagsList

    System tags

  • userTagsList

    User tags

Responses

200 OK

On success, this API returns the following response structure.

  • imageUrlStringRequired

    Access URL of the exported image

  • exportMd5SumStringRequired

    MD5 value of the exported image

  • successbooleanRequired

    Export success or failure flag

  • errorErrorCodeRequired

    Error code. If not null, the operation failed. This field is null when the operation succeeds. See error

    • codeStringRequired

      Error code number, globally unique identifier, for example SYS.1000, HOST.1001

    • descriptionStringRequired

      Brief description of the error

    • detailsStringRequired

      Detailed error information

    • elaborationStringRequired

      Reserved field, defaults to null

    • opaqueLinkedHashMapRequired

      Reserved field, defaults to null

    • causeErrorCodeRequired

      Root cause. The source error that triggered the current error. This field is null if there is no original error

Endpoint

PUT/zstack/v1/backup-storage/{backupStorageUuid}/actions

/zstack/v1/backup-storage/{backupStorageUuid}/actions

Operation ID

ExportImageFromBackupStorage

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/backup-storage/{backupStorageUuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"exportimagefrombackupstorage":{"imageUuid":"<imageUuid>","exportFormat":"<exportFormat>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{"imageUrl": "http://bs-host-name/path/to/image.qcow2", "exportMd5Sum": "8a239d17b045dea51c4677fa90a42ed8" }

Change History

This API has no change history records yet.

View all change history